@mixin Phone {
  @media (max-width: 420px) {
    @content;
  }
}

.pokedex__header {
    padding: 25px;
    
    @include Phone {
      padding: 15px;
    }
      .logo__section {
        width: 50%;
        display: flex;
        align-items: center;
        margin-bottom: 10px;

        @include Phone {
          width: 100%;
        }
      }

      .section__description {
        width: 40%;
        padding-left: 12.5px;
        margin-bottom: 25px;

        @include Phone {
          width: auto;
        }
      }

    .search__section {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 100%;

      @include Phone {
        flex-direction: column;
      }

      .searchBar__wrapper{
        width: 50%;
        border-radius: 25px !important;
        overflow: hidden;

        @include Phone {
          width: 100%;
          margin-bottom: 25px;
        }
      }
      .advanced__wrapper {
        display: flex;
        justify-content: flex-end;
        width: 50%;

        @include Phone {
          width: auto;
        }

        .advanced {
          border-radius: 25px !important;
        }
      }
    }
  }

.dialog__closeButton {
  margin-left: 15px !important;
}

.dialog__content {
  display: flex;
  flex-direction: column;

  .dialog__content_dropdown {
    margin-bottom: 10px;
  }

  .dialog__content_buttons {
    display: flex;
    justify-content: center;
    align-items: center;

    button {
      border-radius: 25px;
      margin: 10px 10px 25px 10px;
    }
  }
}